Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1203 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  probleme de dependances update mysql

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

probleme de dependances update mysql

n°192853
moreback
Posté le 21-11-2002 à 15:27:33  profilanswer
 

salut,
 
j'ai un serveur redhat 8 installe from scratch sans mysql.
je dois installer MySQL-4.0.4 mais le probleme est que quand j'essaie d'installer:
- perl-DBD-MySQL-2.1017-3.i386.rpm
- php-mysql-4.2.2-8.0.5.i386.rpm
(les packages redhat de la version 3.23.x)
j'ai ca comme message:
libmysqlclient.so.10 is needed by (installed) perl-DBD-MySQL-2.1017-3
libmysqlclient.so.10 is needed by (installed) php-mysql-4.2.2-8.0.5
en faisant une recherche, je trouve:
/usr/lib/libmysqlclient.so.11
/usr/lib/libmysqlclient.so.11.0.0
(installe avec MySQL-4.0.4)
 
ma question est: est-il suffisant de renommer libmysqlclient.so.11 en libmysqlclient.so.10?
 
j'ai essaye l'inverse, c'est a dire d'installer la version 3.23.x d'abord mais j'ai le meme probleme quand je fais un:
rpm -Uvh MySQL-4.0.4...rpm
 
que faire?

mood
Publicité
Posté le 21-11-2002 à 15:27:33  profilanswer
 

n°192855
leirn
A.D.I.D.A.S.
Posté le 21-11-2002 à 15:29:50  profilanswer
 

renomme, pas fait plutot u lien un ln -s
 
 
man ln pour en savoir plus


---------------
"Je brandirai une épée d'orichalque, je m'assouvirai sur des Templiers." | "Avec dans son sillage l'Ombre du Diable, Leirn appelait les morts pour une danse macabre et déchainaît les horreurs de la nuit..."
n°192861
moreback
Posté le 21-11-2002 à 16:02:36  profilanswer
 

merci pour ta reponse, j'ai essaye mais toujours le meme probleme de dependances malgre ces nouveaux liens:
 
libmysqlclient_r.so -> libmysqlclient_r.so.10.0.0
libmysqlclient_r.so~ -> libmysqlclient_r.so.11.0.0
libmysqlclient_r.so.10 -> libmysqlclient_r.so.10.0.0
libmysqlclient_r.so.10~ -> libmysqlclient_r.so.10.0.0
libmysqlclient_r.so.10.0.0
libmysqlclient_r.so.11 -> libmysqlclient_r.so.10.0.0
libmysqlclient.so -> libmysqlclient.so.10.0.0
libmysqlclient.so~ -> libmysqlclient.so.11.0.0
libmysqlclient.so.10 -> libmysqlclient.so.10.0.0
libmysqlclient.so.10~ -> libmysqlclient.so.10.0.0
libmysqlclient.so.10.0.0
libmysqlclient.so.11 -> libmysqlclient.so.10.0.0
 
:(
 
a l'origine, c'etait ca:
 
libmysqlclient_r.so -> libmysqlclient_r.so.11.0.0
libmysqlclient_r.so.11 -> libmysqlclient_r.so.11.0.0
libmysqlclient_r.so.11.0.0
libmysqlclient.so -> libmysqlclient.so.11.0.0
libmysqlclient.so.11 -> libmysqlclient.so.11.0.0
libmysqlclient.so.11.0.0
 
je comprends pas ou j'ai fait une connerie...

n°192862
leirn
A.D.I.D.A.S.
Posté le 21-11-2002 à 16:06:43  profilanswer
 

ct kune proposition, je garantissais pas le resultat
 
la je c pas :/


---------------
"Je brandirai une épée d'orichalque, je m'assouvirai sur des Templiers." | "Avec dans son sillage l'Ombre du Diable, Leirn appelait les morts pour une danse macabre et déchainaît les horreurs de la nuit..."
n°192863
moreback
Posté le 21-11-2002 à 16:12:59  profilanswer
 

ok...

n°192894
moreback
Posté le 21-11-2002 à 17:42:04  profilanswer
 

bon ben c'est la merde cette histoire...je suis en train de compiler mysql mais va t-il me detecter php et perl?
y'a aucune option de ce genre dans ./configure
et je ne trouve pas de doc precise a ce sujet.

n°192897
leirn
A.D.I.D.A.S.
Posté le 21-11-2002 à 17:43:03  profilanswer
 

moreback a écrit a écrit :

bon ben c'est la merde cette histoire...je suis en train de compiler mysql mais va t-il me detecter php et perl?
y'a aucune option de ce genre dans ./configure
et je ne trouve pas de doc precise a ce sujet.
 




 
fo dire que tu travaille a l'envers... c a php et a perl de "detecter" mysql a leur compile


---------------
"Je brandirai une épée d'orichalque, je m'assouvirai sur des Templiers." | "Avec dans son sillage l'Ombre du Diable, Leirn appelait les morts pour une danse macabre et déchainaît les horreurs de la nuit..."
n°192898
moreback
Posté le 21-11-2002 à 17:43:57  profilanswer
 

bonne remarque...

n°192899
leirn
A.D.I.D.A.S.
Posté le 21-11-2002 à 17:44:36  profilanswer
 

moreback a écrit a écrit :

bonne remarque...




 
je suis en train de compiler php, spour ca :D


---------------
"Je brandirai une épée d'orichalque, je m'assouvirai sur des Templiers." | "Avec dans son sillage l'Ombre du Diable, Leirn appelait les morts pour une danse macabre et déchainaît les horreurs de la nuit..."
n°192993
FlamM
comme tarte flambée bien sûr !
Posté le 21-11-2002 à 22:17:42  profilanswer
 

si tu compiles et que tu suis le manuel de référence de Mysql, il devrait pas y avoir de pbs (je l'ai fait)


---------------
* La vitesse de la lumière étant supérieure à celle du son, certaines personnes paraissent brillantes jusqu'à ce qu'elles ouvrent leur gueule. *

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  probleme de dependances update mysql

 

Sujets relatifs
Probleme pour imprimerProblème Samba / Firewall sous Mandrake 9.0
[deb] probleme nfs et exportsPetit probléme URPMI (mandrake)
[Squid] probleme d autentification sur des sitesprobleme avec installation red hat 8.0 (gnome canvas critical???)
probleme winproxiProbleme d'automount sous MDK 9
Apt-get : probleme pour trouver les sourcesProbleme avec le driver du SpeedTouch
Plus de sujets relatifs à : probleme de dependances update mysql


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR